<?php
error_reporting(0);
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();  
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload		=	new autoloadClass(); 
$mecon			=	new condbClass();
$requestData	=	$_REQUEST; 
$columns = array(
	0	=>	'Id',
	1	=>	'Id',
	2	=>	'Block', 
	3	=>	'Lot'  
);  

$mainQuery 		= "SELECT Id, Block, Lot, Status FROM  units ";
$sql			=	$mainQuery."  WHERE Status = 'active' ";
if(!empty($requestData['search']['value']) ) { 
	$arr = explode(" ",$requestData['search']['value']);  
	foreach($arr as $ind){
		$ind = str_replace(',','',$ind);
		$sql.=" AND (Block LIKE '%".htmlentities($ind)."%' "; 
		$sql.=" OR Lot LIKE '%".$ind."%' ";  
		$sql.=" OR Status LIKE '%".$ind."%'  )"; 
	}
}


$mecon->query($sql);
$result			= $mecon->resultset(); 
$totalData		= count($result);
$totalFiltered	=	$totalData;
  
//$sql.=" ORDER BY ".$columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']." LIMIT ".$requestData['start']." ,".$requestData['length']."   "; 

$sql.=" ORDER BY cast(Block as unsigned)   ".$requestData['order'][0]['dir'].", cast(Lot as unsigned) asc LIMIT ".$requestData['start']." ,".$requestData['length']."   "; 



//order by cast(Amount as Decimal(6,2)) desc; 

$mecon->query($sql);
$data = array();
$result = $mecon->resultset();

			 for($a=0; $a<count($result); $a++){
			 $nestedData=array();
				//$nestedData[]	= '<a href="index.php?pg=settings&type=units&action=edit&id='.$result[$a]['Id'].'"><span class="btn btn-xs btn-primary glyphicon glyphicon-pencil" title="Update Unit"></span></a>&nbsp;<span class="btn btn-xs btn-danger glyphicon glyphicon-trash" title="Delete Unit" onclick="deleteTransaction('.$result[$a]['Id'].')" ></span>'; 
				$nestedData[]	= '<a href="index.php?pg=settings&type=units&action=edit&id='.$result[$a]['Id'].'"><span class="btn btn-xs btn-primary glyphicon glyphicon-pencil" title="Update Unit"></span></a>'; 
				//$nestedData[]	= $a+1;    
				$nestedData[] = (!empty($result[$a]['Block'])) ? $result[$a]['Block'] : ""; 
				$nestedData[] = (!empty($result[$a]['Lot'])) ? $result[$a]['Lot'] : ""; 
				$data[] = $nestedData;
			} 
$json_data = array(
			"draw"            => intval( $requestData['draw'] ),
			"recordsTotal"    => intval( $totalData ),
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);
			 
echo json_encode($json_data);
exit();
ob_end_flush();